Bug 139123 - [PATCH] graphics/kipi-plugins-kde4: Update to 0.6.0
Summary: [PATCH] graphics/kipi-plugins-kde4: Update to 0.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kris Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-25 01:20 UTC by Jason E. Hale
Modified: 2009-10-01 21:20 UTC (History)
1 user (show)

See Also:


Attachments
2009-09-24-kipi-plugins-kde4.diff (6.64 KB, patch)
2009-09-25 01:20 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2009-09-25 01:20:06 UTC
- Update graphics/kipi-plugins-kde4 to version 0.6.0
- Use LATEST_LINK instead of PKGNAMESUFFIX; 
  this prevents OPTIONS from KDE3 version from being overwritten
- Update patch-CMakeLists.txt since patches for properly finding
  Kipi, Kdcraw, and Kexiv2 were added to kdelibs4

How-To-Repeat: Use attached diff.
Comment 1 Edwin Groothuis freebsd_committer 2009-09-25 01:20:19 UTC
Maintainer of graphics/kipi-plugins-kde4,

Please note that PR ports/139123 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139123

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-25 01:20:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Kris Moore freebsd_committer 2009-09-29 14:17:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kmoore

I'll take it.
Comment 4 Jason E. Hale 2009-09-30 13:28:10 UTC
I've attached a new diff for version 0.7.0.

--- 2009-09-30-kipi-plugins-kde4.diff begins here ---
diff -ruN kipi-plugins-kde4.orig/Makefile kipi-plugins-kde4/Makefile
--- kipi-plugins-kde4.orig/Makefile	2009-09-24 18:44:09.000000000 -0400
+++ kipi-plugins-kde4/Makefile	2009-09-30 07:43:16.000000000 -0400
@@ -6,11 +6,10 @@
 #
 
 PORTNAME=	kipi-plugins
-PORTVERSION=	0.5.0
+PORTVERSION=	0.7.0
 PORTEPOCH=	1
 CATEGORIES=	graphics kde
 MASTER_SITES=	SF/kipi/${PORTNAME}/${PORTVERSION}
-PKGNAMESUFFIX=	-kde4
 
 MAINTAINER=	kris@pcbsd.org
 COMMENT=	KDE4 kipi graphics plugins
@@ -19,6 +18,8 @@
 		kipi.6:${PORTSDIR}/graphics/kdegraphics4
 RUN_DEPENDS=	convert:${PORTSDIR}/graphics/ImageMagick
 
+LATEST_LINK=	${PORTNAME}-kde4
+
 USE_BZIP2=	yes
 USE_CMAKE=	yes
 USE_GETTEXT=	yes
diff -ruN kipi-plugins-kde4.orig/distinfo kipi-plugins-kde4/distinfo
--- kipi-plugins-kde4.orig/distinfo	2009-09-24 18:44:09.000000000 -0400
+++ kipi-plugins-kde4/distinfo	2009-09-30 07:44:51.000000000 -0400
@@ -1,3 +1,3 @@
-MD5 (kipi-plugins-0.5.0.tar.bz2) = f82c95b85f2b434fd03b99451ec5081e
-SHA256 (kipi-plugins-0.5.0.tar.bz2) = 6d349d7b156617603dadfe88d6a62b42bea083d9e15ef200f40d7f4d7d64c6e9
-SIZE (kipi-plugins-0.5.0.tar.bz2) = 3711696
+MD5 (kipi-plugins-0.7.0.tar.bz2) = 564e766f7afac6169ff0cc591667183c
+SHA256 (kipi-plugins-0.7.0.tar.bz2) = 81b68b5f8250508af4e93e7f59720484d62d97d7e38957a305633e74e3bff568
+SIZE (kipi-plugins-0.7.0.tar.bz2) = 3781114
diff -ruN kipi-plugins-kde4.orig/files/patch-CMakeLists.txt kipi-plugins-kde4/files/patch-CMakeLists.txt
--- kipi-plugins-kde4.orig/files/patch-CMakeLists.txt	2009-09-24 18:44:09.000000000 -0400
+++ kipi-plugins-kde4/files/patch-CMakeLists.txt	2009-09-24 19:02:02.000000000 -0400
@@ -1,79 +1,11 @@
---- ./CMakeLists.txt.orig	2009-03-17 04:59:48.000000000 -0400
-+++ ./CMakeLists.txt	2009-06-08 04:36:50.000000000 -0400
-@@ -32,15 +32,53 @@
- INCLUDE(FindPackageHandleStandardArgs)
- INCLUDE(KDE4Defaults)
- INCLUDE(MacroLibrary)
-+INCLUDE(FindPkgConfig)
- 
- # Depencies detection required by all plugins
--FIND_PACKAGE(Kexiv2 REQUIRED)
--FIND_PACKAGE(Kdcraw REQUIRED)
--FIND_PACKAGE(Kipi REQUIRED)
- FIND_PACKAGE(JPEG REQUIRED)
- FIND_PACKAGE(PNG REQUIRED)
- FIND_PACKAGE(TIFF REQUIRED)
- 
-+# Check for KExiv2
-+PKG_CHECK_MODULES(LIBKEXIV2 libkexiv2-kde4>=0.5.0)
-+FIND_PATH(KEXIV2_INCLUDE_DIR NAMES libkexiv2/version.h
-+  PATHS ${LIBKEXIV2_INCLUDE_DIRS} ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
-+FIND_LIBRARY(KEXIV2_LIBRARY NAMES kexiv2
-+  PATHS ${LIBKEXIV2_LIBRARY_DIRS} ${KDE4_LIB_DIR} NO_DEFAULT_PATH)
-+
-+FIND_PACKAGE_HANDLE_STANDARD_ARGS(KEXIV2 DEFAULT_MSG KEXIV2_LIBRARY KEXIV2_INCLUDE_DIR)
-+
-+IF(KEXIV2_FOUND)
-+  SET(KEXIV2_LIBRARIES ${KEXIV2_LIBRARY})
-+ENDIF(KEXIV2_FOUND)
-+
-+# Check for Kdcraw
-+PKG_CHECK_MODULES(LIBKDCRAW libkdcraw-kde4>=0.4.0)
-+FIND_PATH(KDCRAW_INCLUDE_DIR NAMES libkdcraw/version.h
-+  PATHS ${LIBKDCRAW_INCLUDE_DIRS} ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
-+FIND_LIBRARY(KDCRAW_LIBRARY NAMES kdcraw
-+  PATHS ${LIBKDCRAW_LIBRARY_DIRS} ${KDE4_LIB_DIR} NO_DEFAULT_PATH)
-+
-+FIND_PACKAGE_HANDLE_STANDARD_ARGS(KDCRAW DEFAULT_MSG KDCRAW_LIBRARY KDCRAW_INCLUDE_DIR)
-+
-+IF(KDCRAW_FOUND)
-+  SET(KDCRAW_LIBRARIES ${KDCRAW_LIBRARY})
-+  SET(KDCRAW_FOR_DNGCONVERTER TRUE)
-+ENDIF(KDCRAW_FOUND)
-+
-+# Check for Kipi
-+PKG_CHECK_MODULES(LIBKIPI libkipi-kde4>=0.2.0)
-+FIND_PATH(KIPI_INCLUDE_DIR NAMES libkipi/version.h
-+  PATHS ${LIBKIPI_INCLUDE_DIRS} ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
-+FIND_LIBRARY(KIPI_LIBRARY NAMES kipi
-+  PATHS ${LIBKIPI_LIBRARY_DIRS} ${KDE4_LIB_DIR} NO_DEFAULT_PATH)
-+
-+FIND_PACKAGE_HANDLE_STANDARD_ARGS(KIPI DEFAULT_MSG KIPI_LIBRARY KIPI_INCLUDE_DIR)
-+
-+IF(KIPI_FOUND)
-+  SET(KIPI_LIBRARIES ${KIPI_LIBRARY})
-+ENDIF(KIPI_FOUND)
-+
- # Optional depencies detection required by some plugins
- 
- SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
-@@ -63,19 +101,6 @@
-     MACRO_OPTIONAL_FIND_PACKAGE(X11)   # For AdvancedSlideshow and ImageViewer.
- ENDIF(NOT WIN32 AND NOT APPLE)
- 
--IF(NOT WIN32)
--    # Check KDcraw version installed to compile fine DngConverter plugin.
--    FIND_PACKAGE(PkgConfig)
+--- ./CMakeLists.txt.orig	2009-09-24 19:01:31.000000000 -0400
++++ ./CMakeLists.txt	2009-09-24 19:01:48.000000000 -0400
+@@ -69,7 +69,7 @@
+ IF(NOT WIN32)
+     # Check KDcraw version installed to compile fine DngConverter plugin.
+     FIND_PACKAGE(PkgConfig)
 -    PKG_CHECK_MODULES(Kdcraw libkdcraw>=0.4.0)
--    IF(Kdcraw_FOUND)
--        SET(KDCRAW_FOR_DNGCONVERTER TRUE)
--    ELSE(Kdcraw_FOUND)
--        SET(KDCRAW_FOR_DNGCONVERTER FALSE)
--    ENDIF(Kdcraw_FOUND)
--ELSE(NOT WIN32)
--    SET(KDCRAW_FOR_DNGCONVERTER TRUE)
--ENDIF(NOT WIN32)
--
- INCLUDE(MacroOptionalDependPackage)
- 
- # LINUX Only.
++    PKG_CHECK_MODULES(Kdcraw libkdcraw-kde4>=0.4.0)
+     IF(Kdcraw_FOUND)
+         SET(KDCRAW_FOR_DNGCONVERTER TRUE)
+     ELSE(Kdcraw_FOUND)
diff -ruN kipi-plugins-kde4.orig/pkg-plist kipi-plugins-kde4/pkg-plist
--- kipi-plugins-kde4.orig/pkg-plist	2009-09-24 18:44:10.000000000 -0400
+++ kipi-plugins-kde4/pkg-plist	2009-09-30 08:03:16.000000000 -0400
@@ -41,14 +41,19 @@
 share/apps/kipiplugin_flashexport/simpleviewer_html/space.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/16x16/actions/flickr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/16x16/actions/hq.png
+share/apps/kipiplugin_flickrexport/icons/hicolor/16x16/actions/zooomr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/22x22/actions/flickr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/22x22/actions/hq.png
+share/apps/kipiplugin_flickrexport/icons/hicolor/22x22/actions/zooomr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/32x32/actions/flickr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/32x32/actions/hq.png
+share/apps/kipiplugin_flickrexport/icons/hicolor/32x32/actions/zooomr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/48x48/actions/flickr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/48x48/actions/hq.png
+share/apps/kipiplugin_flickrexport/icons/hicolor/48x48/actions/zooomr.png
 share/apps/kipiplugin_flickrexport/icons/hicolor/scalable/actions/flickr.svgz
 share/apps/kipiplugin_flickrexport/icons/hicolor/scalable/actions/hq.svgz
+share/apps/kipiplugin_flickrexport/icons/hicolor/scalable/actions/zooomr.svgz
 share/apps/kipiplugin_galleryexport/icons/hicolor/16x16/actions/gallery.png
 share/apps/kipiplugin_galleryexport/icons/hicolor/22x22/actions/gallery.png
 share/apps/kipiplugin_galleryexport/icons/hicolor/32x32/actions/gallery.png
@@ -70,6 +75,8 @@
 share/apps/kipiplugin_htmlexport/themes/cleanframes/star.png
 share/apps/kipiplugin_htmlexport/themes/cleanframes/template.xsl
 share/apps/kipiplugin_htmlexport/themes/cleanframes/yellow.css
+share/apps/kipiplugin_htmlexport/themes/dateframes/dateframes.desktop
+share/apps/kipiplugin_htmlexport/themes/dateframes/template.xsl
 share/apps/kipiplugin_htmlexport/themes/frames/frames.desktop
 share/apps/kipiplugin_htmlexport/themes/frames/style.css
 share/apps/kipiplugin_htmlexport/themes/frames/template.xsl
@@ -344,13 +351,25 @@
 share/locale/en_GB/LC_MESSAGES/kipiplugins.mo
 share/locale/es/LC_MESSAGES/kipiplugin_acquireimages.mo
 share/locale/es/LC_MESSAGES/kipiplugin_advancedslideshow.mo
+share/locale/es/LC_MESSAGES/kipiplugin_batchprocessimages.mo
+share/locale/es/LC_MESSAGES/kipiplugin_calendar.mo
+share/locale/es/LC_MESSAGES/kipiplugin_dngconverter.mo
+share/locale/es/LC_MESSAGES/kipiplugin_facebook.mo
 share/locale/es/LC_MESSAGES/kipiplugin_flashexport.mo
+share/locale/es/LC_MESSAGES/kipiplugin_flickrexport.mo
+share/locale/es/LC_MESSAGES/kipiplugin_galleryexport.mo
 share/locale/es/LC_MESSAGES/kipiplugin_gpssync.mo
 share/locale/es/LC_MESSAGES/kipiplugin_htmlexport.mo
+share/locale/es/LC_MESSAGES/kipiplugin_imageviewer.mo
+share/locale/es/LC_MESSAGES/kipiplugin_ipodexport.mo
 share/locale/es/LC_MESSAGES/kipiplugin_jpeglossless.mo
 share/locale/es/LC_MESSAGES/kipiplugin_metadataedit.mo
+share/locale/es/LC_MESSAGES/kipiplugin_picasawebexport.mo
+share/locale/es/LC_MESSAGES/kipiplugin_printimages.mo
 share/locale/es/LC_MESSAGES/kipiplugin_rawconverter.mo
+share/locale/es/LC_MESSAGES/kipiplugin_removeredeyes.mo
 share/locale/es/LC_MESSAGES/kipiplugin_sendimages.mo
+share/locale/es/LC_MESSAGES/kipiplugin_smug.mo
 share/locale/es/LC_MESSAGES/kipiplugin_timeadjust.mo
 share/locale/es/LC_MESSAGES/kipiplugin_wallpaper.mo
 share/locale/es/LC_MESSAGES/kipiplugins.mo
@@ -378,9 +397,11 @@
 share/locale/et/LC_MESSAGES/kipiplugin_timeadjust.mo
 share/locale/et/LC_MESSAGES/kipiplugin_wallpaper.mo
 share/locale/et/LC_MESSAGES/kipiplugins.mo
+share/locale/fi/LC_MESSAGES/kipiplugin_facebook.mo
 share/locale/fi/LC_MESSAGES/kipiplugin_gpssync.mo
 share/locale/fi/LC_MESSAGES/kipiplugin_jpeglossless.mo
 share/locale/fi/LC_MESSAGES/kipiplugin_metadataedit.mo
+share/locale/fi/LC_MESSAGES/kipiplugin_printimages.mo
 share/locale/fi/LC_MESSAGES/kipiplugin_rawconverter.mo
 share/locale/fi/LC_MESSAGES/kipiplugin_sendimages.mo
 share/locale/fi/LC_MESSAGES/kipiplugin_wallpaper.mo
@@ -1026,6 +1047,7 @@
 @dirrm share/apps/kipiplugin_htmlexport/themes/s0
 @dirrm share/apps/kipiplugin_htmlexport/themes/matrix
 @dirrm share/apps/kipiplugin_htmlexport/themes/frames
+@dirrm share/apps/kipiplugin_htmlexport/themes/dateframes
 @dirrm share/apps/kipiplugin_htmlexport/themes/cleanframes
 @dirrm share/apps/kipiplugin_htmlexport/themes/classic
 @dirrm share/apps/kipiplugin_htmlexport/themes
--- 2009-09-30-kipi-plugins-kde4.diff ends here ---
Comment 5 dfilter service freebsd_committer 2009-10-01 21:15:55 UTC
kmoore      2009-10-01 20:15:43 UTC

  FreeBSD ports repository

  Modified files:
    graphics/kipi-plugins-kde4 Makefile distinfo pkg-plist 
    graphics/kipi-plugins-kde4/files patch-CMakeLists.txt 
  Log:
  - Update to 0.7.0
  
  PR: 139123
  Submitted by: Jason E. Hale <bsdkaffee@gmail.com>
  Approved by: miwi (mentor)
  
  Revision  Changes    Path
  1.53      +3 -2      ports/graphics/kipi-plugins-kde4/Makefile
  1.16      +3 -3      ports/graphics/kipi-plugins-kde4/distinfo
  1.3       +10 -78    ports/graphics/kipi-plugins-kde4/files/patch-CMakeLists.txt
  1.21      +22 -0     ports/graphics/kipi-plugins-kde4/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Kris Moore freebsd_committer 2009-10-01 21:20:18 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!